INCLUDES = -I$(top_srcdir)/kontact/interfaces \
     -I$(top_srcdir)/libtdepim \
     -I$(top_srcdir) $(all_includes)

kde_module_LTLIBRARIES = libkontact_newstickerplugin.la kcm_kontactknt.la
libkontact_newstickerplugin_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
libkontact_newstickerplugin_la_LIBADD = $(LIB_TDEPARTS) $(LIB_TDEUI) \
                                        $(top_builddir)/libtdepim/libtdepim.la ../../interfaces/libkpinterfaces.la

libkontact_newstickerplugin_la_SOURCES = newsticker_plugin.cpp \
                                         summarywidget.cpp summarywidget.skel

kcm_kontactknt_la_SOURCES = kcmkontactknt.cpp
kcm_kontactknt_la_LDFLAGS = -module $(KDE_PLUGIN) $(KDE_RPATH) $(all_libraries) \
                            -avoid-version -no-undefined
kcm_kontactknt_la_LIBADD = $(LIB_TDEUI)

METASOURCES = AUTO

servicedir = $(kde_servicesdir)/kontact
service_DATA = newstickerplugin.desktop

kde_services_DATA = kcmkontactknt.desktop

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kcmkontactnt.pot
